Make WordPress Core

Opened 11 years ago

Closed 11 years ago

#695 closed defect (bug) (fixed)

template-functions-post.php uses array_fill

Reported by: gbhugo Owned by: ryan
Milestone: Priority: normal
Severity: minor Version: 1.5
Component: Template Keywords:
Focuses: Cc:


array_fill is only available up from PHP 4.2 and so this doesn't work with 4.1.2 that is in Debian stable. And the use of array_fill in that special case is actually rather silly: it's only used as an overcomplicated use of str_repeat. The patch changes from array_fill to str_repeat and so makes this work with 4.1.2 again.

Change History (4)

#1 @gbhugo
11 years ago

  • Patch set to No

#2 @gbhugo
11 years ago

Dang. Of course it's not administration but user visible: it shows up as soon as you create sub-pages. Please re-categorize (I can't find where I could recategorize myself).

#3 @2fargon
11 years ago

  • category changed from Administration to Template
  • Patch changed from No to Yes
  • Status changed from new to assigned

#4 @ryan
11 years ago

  • fixed_in_version set to 1.5
  • Owner changed from anonymous to rboren
  • Resolution changed from 10 to 20
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.